export function call (fn, obj , ...args ) {

    // 处理obj是undefined或null的情况(此时this为window)
    if(obj === undefined || obj === null){
        obj = window
    }
    // 给obj添加一个方法,this代表调用call方法的函数
    obj.tempFn = fn

    // 调用obj的tempFn方法,传入参数,写result的作用,当调用call方法的函数有返回值时,需要返回,所有需要使用一个变量接住,并且最后返回
    const result = obj.tempFn(...args)

    // 删除obj上的tempFn方法
    delete obj.tempFn

    // 返回方法的返回值
    return result

}