export function debounce (callback , delay) {
        let timer = null
        return function (event) {

            // 取消上一次定时器
            if(timer){
                clearTimeout(timer)
            }
            timer = setTimeout(()=>{
                callback.call(this,event)
            },delay)
        }
    }