
const path = require('path')


module.exports = {
    // 模式
    // mode: 'development',            //开发模式
    mode: 'production',          //生产模式
    // 入口
    entry: './src/main.js',

    // 出口
    output: {
        path: path.resolve(__dirname,'dist'),
        filename: 'laijiandong-utils.min.js',
        library: 'LUtils',              // 向外暴露的对象的名称
        libraryTarget: 'umd',           // 针对 esm  / commonjs  /  amd
    }
}